@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('./fonts/roboto-v50-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: url('./fonts/roboto-v50-latin-500.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 600;
    src: url('./fonts/roboto-v50-latin-600.woff2') format('woff2');
}

:root {
    /* colors */
    --background-color-dark: #F5F5F5;
    --background-color-light: #F8F8F8;
    --primary-text-color: #3A3A3A;
    --secondary-text-color: #000;
    /* Originally: rgba(58, 58, 58, 0.6) */
    --light-text-color: #868686;
    --accent-color-dark: #204289;
    --accent-color-light: #A4CCDF;
    --accent-color-alert: #FF383E;
    --accent-color-status-active: #34C759;
    --accent-color-error: #C655A1;
    --accent-color-pharmacy: #FCEAC8;
    --accent-color-consulting: #D6E9DB;
    --accent-color-product: #EDCCE2;
    --accent-color-error-light: #EDCCE2;
    --accent-color-category-consulting: #D6E9DB;
    --accent-color-category-pharmacy: #FCEAC8;
    --accent-color-category-product: #EDCCE2;
    --border-color: #E1E1E1;
    /* Originally: rgba(58, 58, 58, 0.5) */
    --border-color-uploads: #9D9D9D;
    --icon-color: #5C5C5C;

    /* font-families */
    --primary-font-family: 'Roboto', sans-serif;

    /* font-weights */
    --font-weight-headline: 600;
    --font-weight-medium: 500;
    --font-weight-regular: 400;

    /* font-sizes */
    --font-size-heading-large: 1.625rem;
    --font-size-regular: 0.875rem;

    /* sizes */
    --header-height: 5.8125rem;
    --pagination-height: 2.1875rem;
    --grid-gap: 18px;

    /* borders */
    --primary-border: 1px solid var(--border-color);
    --border-radius-button: 9px;
    --border-radius-form-input: 4px;

    /* styles */
    --opacity-disabled: 0.65;
    --box-shadow: 0 2px 3px 1px #00000026;
}

* {
    box-sizing: border-box;
}

body {
    font-family: var(--primary-font-family);
    font-weight: 400;
    font-size: var(--font-size-regular);
    color: var(--primary-text-color);
    font-size: var(--font-size-regular);
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6,
button {
    color: var(--primary-text-color);
}

h6 {
    font-size: var(--font-size-regular);
}

.searchbar-button-row {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 0.5rem;
    max-width: 300px;
    horiz-align: right;
}

.searchbar-button-row .card {
    top: calc(100% + 0.625rem);
    z-index: 1049;
}

.search-input {
    flex: 1;
    max-width: 400px;
    padding: .375rem .75rem;
}

.control-bar-wrapper {
    display: flex;
    position: relative;
    margin-bottom: 1.6875rem;
    justify-content: flex-end;
}

.control-bar-wrapper .button-container {
    display: flex;
    align-items: center;
    flex: 1;
    margin-right: 2.5rem;
}

.pagination-container .form-select {
    height: var(--pagination-height);
    padding-right: 2rem;
    border: none;
}

.border-style {
    padding: 20px;
}

.table-style {
    margin-left: 10px;
    margin-right: 10px;
}

table.table.align-middle thead th,
table.table.align-middle tbody td {
    padding: 0.9375rem;
    color: var(--primary-text-color);
    border-color: var(--border-color);
    line-height: 1;
}

table.table.align-middle thead th {
    font-weight: var(--font-weight-medium);
    background: var(--background-color-dark);
    border: none;
}

table.table.align-middle thead th:first-child {
    border-radius: 4px 0 0 4px;
}

table.table.align-middle thead th:last-child {
    border-radius: 0 4px 4px 0;
}

.table-actions {
    width: 1%;
    white-space: nowrap;
}

.d-flex.draggable-list-item {
    align-items: center;
}

.btn, select,
.image-upload-container .image-edit-section label.btn {
    width: auto;
    padding: 0.3125rem 1rem;
    color: var(--primary-text-color);
    font-size: var(--font-size-regular);
    font-weight: var(--font-weight-regular);
    background: #fff;
    box-shadow: var(--box-shadow);
    border: none;
    cursor: pointer;
}

.btn, .form-select {
    border-radius: var(--border-radius-button);
}

button.btn-danger {
    color: var(--accent-color-alert);
}

.btn:disabled,
fieldset .btn,
fieldset:disabled .btn {
    border: none;
}

.form-switch .form-check-input:disabled + label {
    opacity: var(--opacity-disabled);
}

.form-switch .form-check-input {
    margin-right: 0.5rem;
    width: 2.125em;
    height: 1.125em;
    /* Used to change the fill color */
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='white'/%3e%3c/svg%3e");
    background-color: var(--border-color);
}

.form-switch .form-check-input:checked {
    background-color: var(--accent-color-dark);
}

.form-switch .form-check-input:focus {
    border: none;
    box-shadow: none;
}

.control-bar-wrapper,
.result-options-container {
    flex-wrap: wrap;
    row-gap: 1.25rem;
}

.pagination-outer-container {
    margin-right: 1.25rem;
}

.result-options-container {
    display: flex;
    align-items: center;
}

.search-container {
    display: flex;
    margin-right: 0;
    margin-left: 0;
    justify-content: end;
}

.edit-container {
    margin-bottom: 1.5rem;
    border-radius: 6px;
    border: 2px solid var(--border-color);
    background-color: var(--background-color-light);
}

.edit-container h6 {
    margin: 0;
}

.title-rounded-box {
    margin: 0;
    padding: 0.875rem;
    background-color: var(--background-color-dark);
    border-radius: 6px 6px 0 0;
}

.title-rounded-box.row {
    padding-left: 0;
    padding-right: 0;
}

.title-rounded-box.opened {
    border-bottom: var(--primary-border);
}

.title-rounded-box .caret {
    line-height: 0;
}

form .grid-container {
    padding: 20px;
    display: grid;
    grid-template-rows: auto;
    grid-row-gap: var(--grid-gap);
}

form .grid-container,
.manual-row-container {
    margin-left: calc(-(var(--grid-gap) / 2));
    margin-right: calc(-(var(--grid-gap) / 2));
}

.grid-container .grid-item {
    padding-left: 9px;
    padding-right: 9px;
}

.grid-container .grid-item label {
    display: block;
    margin-bottom: 0.375rem;
    padding-left: 0.5rem;
    font-weight: var(--font-weight-medium);
    text-align: start;
}

.grid-item.align-end {
    align-self: end;
}

.form-control {
    color: var(--primary-text-color);
}

.form-control:focus,
.form-select:focus,
button.simple-dropdown-button:focus {
    border-color: var(--accent-color-dark);
}

input.form-control::placeholder,
textarea.form-control::placeholder,
/* placeholder for text editor */
.ql-container.ql-snow .ql-editor.ql-blank::before,
select.form-select.select-placeholder {
    font-size: var(--font-size-regular);
    font-style: normal;
    color: var(--light-text-color);
}

.ql-container .ql-editor {
    min-height: 9.375rem;
    font-size: var(--font-size-regular);
}

.grid-container input.form-control,
.grid-container textarea.form-control,
.grid-container select.form-select,
.grid-container button.simple-dropdown-button[type="button"] {
    padding: 0.625rem 0.9375rem;
    border-radius: var(--border-radius-form-input);
    box-shadow: none;
    line-height: 1.5rem;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    appearance: none;
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    appearance: textfield;
    -webkit-appearance: textfield;
}

.grid-item .ql-toolbar.ql-snow,
.grid-item .ql-container.ql-snow {
    background: #fff;
    border-color: var(--border-color);
}

.grid-item .ql-toolbar.ql-snow {
    border-radius: var(--border-radius-form-input) var(--border-radius-form-input) 0 0;
}

.grid-item .ql-container.ql-snow {
    border-radius: 0 0 var(--border-radius-form-input) var(--border-radius-form-input);
}

.grid-item.available-at-row-entry input {
    font-size: var(--font-size-regular);
}

.grid-item.available-at-row-entry input:not(.modified) {
    color: var(--light-text-color);
}

button.simple-dropdown-button[type="button"] {
    background-color: #fff;
    box-shadow: none;
    color: var(--light-text-color);
    font-size: var(--font-size-regular);
}

button.simple-dropdown-button[type="button"] .badge,
.simple-dropdown .dropdown-menu {
    font-size: var(--font-size-regular);
}

button.simple-dropdown-button[type="button"] .badge {
    padding: 5px;
    margin-right: 10px;
    font-size: .65rem;
}

.simple-dropdown .dropdown-menu label {
    margin: 0;
}

button.simple-dropdown-button[type="button"]:after,
button.simple-dropdown-button[type="button"] span:after {
    content: none;
}

button.simple-dropdown-button[type="button"] {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right .75rem center;
    background-size: 16px 12px;
}

.simple-dropdown .dropdown-menu {
    right: 0;
}

.module-picker-container {
    padding: 1.875rem 1.25rem;
}

.module-picker.opened {
    background: #fff;
    border-radius: 9px;
    box-shadow: var(--box-shadow);
}

.module-picker-container .dropdown-menu {
    border: none;
    border-top: 1px solid var(--border-color);
    border-radius: 0 0 9px 9px;
}

.module-picker .icon-button:focus,
.module-picker .icon-button:active:focus {
    box-shadow: var(--box-shadow);
}

.module-picker.opened .icon-button,
.module-picker.opened .icon-button:focus,
.module-picker.opened .icon-button:active:focus {
    box-shadow: none;
}

.custom-dropdown {
    position: relative;
}

.module-picker .dropdown-menu {
    display: flex;
    padding: 1rem;
    flex-wrap: wrap;
    gap: 15px;
}

.edit-container ul li.list-group-item {
    padding: 0.625rem 1rem;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid var(--border-color);
}

@media (max-width: 568px) {
    .module-picker .dropdown-menu {
        flex-direction: column;
    }
}
